diff options
author | Mike Elliott <mike.elliott@amdocs.com> | 2018-04-06 16:47:11 +0000 |
---|---|---|
committer | Gerrit Code Review <gerrit@onap.org> | 2018-04-06 16:47:11 +0000 |
commit | 9803cd9b8562e112e139bf7e5eae5613137ff4ca (patch) | |
tree | 4f1fde63a7f8bd98fb5f498b3bccbf6c820e2032 /kubernetes/sdnc/resources/geo/bin/sdnc.cluster | |
parent | b24c89e1bb8717af57fea2d8a6a6016f6f4857e1 (diff) | |
parent | de45c68c288c44af517d4a403b8a154a715df555 (diff) |
Merge "Multi-site High-availability Manual Failover (PoC)"
Diffstat (limited to 'kubernetes/sdnc/resources/geo/bin/sdnc.cluster')
-rwxr-xr-x | kubernetes/sdnc/resources/geo/bin/sdnc.cluster | 52 |
1 files changed, 52 insertions, 0 deletions
diff --git a/kubernetes/sdnc/resources/geo/bin/sdnc.cluster b/kubernetes/sdnc/resources/geo/bin/sdnc.cluster new file mode 100755 index 0000000000..d59718fa27 --- /dev/null +++ b/kubernetes/sdnc/resources/geo/bin/sdnc.cluster @@ -0,0 +1,52 @@ +#!/bin/bash + +OOM_HOME=${OOM_HOME:-$HOME} + +if ! [ "$(command -v jq)" ]; then + echo "Error: jq is not installed." + echo "use: sudo apt install jq" + exit 1 +fi + +IS_PRIMARY_CLUSTER=`./sdnc.isPrimaryCluster` + +case $IS_PRIMARY_CLUSTER in +true) + MEMBER_NUMBER=1 + ;; +false) + MEMBER_NUMBER=4 + ;; +*) + echo "Error: isPrimaryODLCluster not defined in ${OOM_HOME}/oom/kubernetes/sdnc/values.yaml." + exit 1 + ;; +esac + +for pod_number in {0..2} +do + curl "http://localhost:3026$((${pod_number} + 1))" > /dev/null 2>&1 + if [ "$?" = "7" ]; then + continue + fi + + VOTING_RESULT=`curl -u admin:admin -H "Content-Type: application/json" -H "Accept: application/json" -X GET http://localhost:3026$((${pod_number} + 1))/jolokia/read/org.opendaylight.controller:Category=Shards,name=member-$((${MEMBER_NUMBER} + ${pod_number}))-shard-default-config,type=DistributedConfigDatastore 2>/dev/null | jq '.value.Voting'` + + case $VOTING_RESULT in + true) + echo "active" + exit 0 + ;; + false) + echo "standby" + exit 0 + ;; + *) + echo "Error: Voting status could not be determined." + exit 1 + ;; + esac +done + +echo "Error: Voting status could not be determined." +exit 1 |